Bug 681720 - setup-ds-admin.pl - No fully qualified domain name in brackets + Error: failed to open an LDAP connection to host 'host.domain' port '389' as user 'cn=Directory Manager'. Error: unknown.
Summary: setup-ds-admin.pl - No fully qualified domain name in brackets + Error: fail...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.1
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On: 518890
Blocks: 639035 389_1.2.8 680575 681726
TreeView+ depends on / blocked
 
Reported: 2011-03-03 02:00 UTC by Rich Megginson
Modified: 2015-01-04 23:46 UTC (History)
7 users (show)

Fixed In Version: 389-ds-base-1.2.8-0.6.rc1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 518890
: 681726 (view as bug list)
Environment:
Last Closed: 2011-05-19 12:42:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0533 normal SHIPPED_LIVE new package: 389-ds-base 2011-05-18 17:57:44 UTC

Comment 3 Amita Sharma 2011-04-26 07:00:03 UTC
Steps to Reproduce:
1. Edit /etc/sysconfig/network and set up hostname.domain and *do not* set up 
   reverse for this hostname.domain

<Amita>
[root@rheltest ~]# cat /etc/sysconfig/network
NETWORKING=yes
HOSTNAME=rheltest
[root@rheltest ~]# hostname
rheltest
[root@rheltest ~]# host rheltest
Host rheltest not found: 3(NXDOMAIN)
</Amita>


2. # yum install redhat-ds -y

3. # setup-ds-admin.pl

<Amita>
test 1- Did not specify any name "Computer name [rheltest.pnq.redhat.com]:"
Result : Your new DS instance 'rheltest' was successfully created.

test 2 - Specified the FQDN, without setting the test machine ip in /etc/hosts.
Result : Got the warning message and installer prompted to proceed anyway with the problematic hostname.

test 3 - Specified the FQDN.
Result : Your new DS instance 'rheltest' was successfully created.

Results are as expected hence marking the bug as VERIFIED.
</Amita>

Comment 4 errata-xmlrpc 2011-05-19 12:42:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0533.html


Note You need to log in before you can comment on or make changes to this bug.